<?php
require './app/bootstrap.php';
$bootstrap = \Magento\Framework\App\Bootstrap::create(BP, $_SERVER);
$_objectManager = $bootstrap->getObjectManager();
$state = $_objectManager->get('Magento\Framework\App\State');
$state->setAreaCode('frontend');
$blocks = $_objectManager->get('Magento\Cms\Block\Block');

$registry = $_objectManager->get('Magento\Framework\Registry');
$registry->register('isSecureArea', true);

$downloadObj = $_objectManager->get('MageWorx\Downloads\Model\Attachment\Product');

$skus = ['DUTHD',
	'DUTHDPR',
	'P27QC10P60-BK',
	'SP7PBLH-BLK',
	'UAFUUA-SGR',
	'UCFUHD-SGR',
	'UCFUPRGE-SGR',
	'UCFUPRGV-SGR',
	'UCFUUA-SGR',
	'ULDNAG2-SGR',
	'ULDNAMN-UA-SGR',
	'ULDPLS-SGR',
	'ULDWAV-SGR',
	'C6-0.3B-Blue',
	'C6-0.5B-Blue',
	'C6-01B-Blue',
	'C6-02B-Blue',
	'C6-03B-Blue',
	'C6-04B-Blue',
	'C6-05B-Blue',
	'C6-1.5B-Blue',
	'C6-10B-Blue',
	'C6-15B-Blue',
	'C6-2.5B-Blue',
	'C6-20B-Blue',
	'C6-25B-Blue',
	'C6-30B-Blue',
	'C6-50B-Blue',
	'CRC60',
	'CRCA27',
	'CRCA57',
	'DCAP-SPL',
	'DP2DP-ADP',
	'DP2HD-ADP',
	'DP-DVI-ADPC',
	'DP-HDMI-03-MM',
	'DP-HDMI-ADPC',
	'DP-VGA-01-MM',
	'DP-VGA-02-MM',
	'DP-VGA-ADP',
	'DP-VGA-ADPC',
	'DP-VGHD4K-ADP',
	'DUCMA3',
	'DVI-DL-01-MM',
	'DVI-HDMI-01-MM',
	'DVI-HDMI-02-MM',
	'DVI-HDMI-03-MM',
	'DVI-HDMI-05-MM',
	'DVI-HDMI-MF',
	'ELDP-01',
	'ELDP-02',
	'ELDP-03',
	'ELDPDV-01',
	'ELDPDV-02',
	'ELDPHD-01',
	'ELDPHD-02',
	'ELMDPDP-01',
	'ELMDPDP-02',
	'ELMDPHD-01',
	'ELMDPHD-02',
	'ELPC35A-BK',
	'ELPCC201-WH',
	'ELUCHD-02RBLK',
	'ELUCVG-02RBLK',
	'EMS-02-HD',
	'GLC-LH-SM20-ALG',
	'GLC-LH-SM-ALG',
	'GLC-SX-MM-ALG',
	'GLC-T-ALG',
	'GLC-ZX-SM-ALG',
	'HD4KSPL02-ADP',
	'HDAS-V201',
	'HDAS-V202',
	'HDAS-V203',
	'HDC-MM-02-V2',
	'HDDPU-ACTV',
	'HDMI-0.5-MM-V4',
	'HDMI-01-MM-V4',
	'HDMI-02-MM-V4',
	'HDMI-03-MM-V4',
	'HDMI-05-MM-V4',
	'HDMI-1.5-MM-V4',
	'HDMI-10-MM-V4',
	'HDMI-15-MM-V4',
	'HDMI-25-MM',
	'HDMI-30-MM',
	'HDMI-7.5-MM-V4',
	'HDMI-DVI-15MF',
	'HDMI-VGA-AD-ADP',
	'HDVG-MM-02',
	'J01AWBBL',
	'J01AWBDB',
	'J01AWBTN',
	'J02AAPCBL',
	'J02AAPCDB',
	'J02AAPCTN',
	'J03APPCBL',
	'J03APPCDB',
	'J03APPCTN',
	'J04AI1254BL',
	'J04AI1254DB',
	'J04AI1254TN',
	'J05AI1261BL',
	'J05AI1261TN',
	'J05AI1267BL',
	'J05AI1267DB',
	'J05AI1267TN',
	'J07AAWCBL',
	'J07AAWCDB',
	'J07AAWCTN',
	'J9XXXA-HP-ALG',
	'LCLC-0.5-OM3',
	'LCLC-0.5-OM4',
	'LCLC-0.5-OS2',
	'LCLC-01-OM3',
	'LCLC-01-OM4',
	'LCLC-01-OS2',
	'LCLC-02-OM3',
	'LCLC-02-OM4',
	'LCLC-02-OS2',
	'LCLC-03-OM3',
	'LCLC-03-OM4',
	'LCLC-03-OS2',
	'LCLC-05-OM3',
	'LCLC-05-OM4',
	'LCLC-05-OS2',
	'LCLC-1.5-OM3',
	'LCLC-1.5-OM4',
	'LCLC-10-OM4',
	'LCLC-10-OS2',
	'LCLC-15-OM3',
	'LCLC-15-OM4',
	'LCLC-15-OS2',
	'LCLC-20-OM3',
	'LCLC-20-OM4',
	'LCLC-20-OS2',
	'LCLC-25-OM3',
	'LCSC-0.5-OS2',
	'LCSC-02-OS2',
	'LCSC-03-OS2',
	'LCSC-05-OS2',
	'LCSC-1.5-OS2',
	'LCSC-15-OS2',
	'LCSC-20-OS2',
	'LCSC-30-OS2',
	'LCST-01-OM4',
	'LCST-01-OS2',
	'LCST-02-OM4',
	'LCST-02-OS2',
	'LCST-03-OM4',
	'LCST-03-OS2',
	'LCST-05-OM4',
	'LCST-05-OS2',
	'LCST-10-OM4',
	'LCST-10-OS2',
	'LCST-15-OS2',
	'LCST-20-OS2',
	'MDP2DP-ADP',
	'MDP-DP-01-MM',
	'MDP-DP-02-MM',
	'MDP-DP-03-MM',
	'MDP-DP-ADP',
	'MDP-DVI-02-MM',
	'MDP-HDMI-AIC',
	'MDP-VGA-02-MM',
	'MDP-VGDVHD-ADP',
	'MDP-VGHD4K-ADP',
	'MF-C13C14-0.5',
	'MF-C13C14-01',
	'MF-C13C14-02',
	'MF-C13C14-05',
	'MF-C14C15-02',
	'MP-UCHDCH',
	'MU31CC-EXT-01BLK',
	'P10QC10P18-BK',
	'P10QC10P18-WH',
	'PAW8PM067-SGR',
	'PHD-0.5-MM-V2C',
	'PHD-01-MM-V2',
	'PHD-02-MM-V2',
	'PHD-03-MM-V2',
	'PHD-05-MM-V2',
	'QC10MSLV',
	'QC10RCMBK',
	'SFP-10G-ER-ALG',
	'SFP-10G-LR-ALG',
	'SFP-H10GB-CU0.5M-ALG',
	'SFP-H10GB-CU1M-ALG',
	'SFP-H10GB-CU2M-ALG',
	'SFP-H10GB-CU3M-ALG',
	'SFP-H10GB-CU5M-ALG',
	'SFP-H10GB-CU7M-ALG',
	'TB3D2D24K-H',
	'TB3D2DPBL-SGR',
	'TB3D2HDPBL-SGR',
	'TB3DTRG2',
	'U2CMC-01BLK',
	'U2CSH-SGR',
	'U30AS25',
	'U33HGHEDF',
	'U3DVVG-ADP',
	'UC3ACR',
	'UC3AGE',
	'UCD3D34K-H',
	'UCG31G2',
	'UCH2C2A',
	'UCHD4KCH-ADP',
	'UCMDP-ADP',
	'UCTDPRO1',
	'UCVGA-ADP',
	'UCVGDVHD-ADP',
	'UCVGHD-ADP',
	'UD29A',
	'UL2CAPW-SGR',
	'UL2QC10CA-SGR',
	'ULA8P1.5-SGR',
	'ULA8P1.5-SLV',
	'ULC35APW-SGR',
	'ULC8P1.5-SGR',
	'ULC8P1.5-SLV',
	'ULCA2030-SGR',
	'ULCA2030-SLV',
	'ULCA21.5-SGR',
	'ULCAA-SGR',
	'ULCAA-SLV',
	'ULCAMN-SGR',
	'ULCAMN-SLV',
	'ULCC2030-SLV',
	'ULCC21.5-SGR',
	'ULCC21.5-SLV',
	'ULCDP01-SGR',
	'ULCDP02-SGR',
	'ULCDPMN-SGR',
	'ULCGEMN-SGR',
	'ULCHD01-SGR',
	'ULCHD02-SGR',
	'ULCHDMN-SGR',
	'ULCSDMN-SGR',
	'ULCVGHDMN-SGR',
	'ULCVGMN-SGR',
	'ULDNAG2-SLV',
	'ULDNAMN-UA-SLV',
	'ULDP02-SGR',
	'ULDP03-SGR',
	'ULDPHD02-SGR',
	'ULDPHDA-SGR',
	'ULDPLS-SLV',
	'ULDUNI-SGR',
	'ULDUNI-SLV',
	'ULDWAV-SLV',
	'ULHD02-SGR',
	'ULMDPDP01-SGR',
	'ULMDPDP02-SGR',
	'ULMDPDP03-SGR',
	'ULMDPHD02-SGR',
	'ULMDPHDA-SGR',
	'ULQC10W-SGR',
	'ULUCDP-ADP',
	'ULUCHD-ADP',
	'UP2QC10A-SGR',
	'UP2QC10AWA-SGR',
	'UP2QC10AWM-SGR',
	'USB2-02-AB',
	'USB3-02-AB',
	'USB3GE-ADPDF',
	'USB3HDDV-ADP',
	'VC2A24',
	'VGA-DVI-MF',
	'VGA-HDUP',
	'VGA-MF-05',
	'VGA-MFF-SPL',
	'VGA-MM-02',
	'VPLU3AMCR',
	'VPLU3H10AP',
	'VPLU3H4A',
	'VPLU3H7AP',
	'VPLUC3AGE',
	'VPLUCAGE',
	'VPLUCMCR',
	'VU3DUP',
	'WCC18WH',
	'WCC2A45BK',
	'WCC2A45WH',
	'WCC60',
	'WCC60WH',
	'WCG1X100-EU',
	'WCG1X100-UK',
	'WCG1X65-EU',
	'WCG1X65-UK',
	'WCG2X63-EU',
	'WCG2X63-UK',
	'WCG4X100-EU',
	'WCG4X100-UK',
];
$fp = fopen("export_specs.csv", "w+");
foreach ($skus as $sku) {
	$productId = $_objectManager->get('Magento\Catalog\Model\Product')->getIdBySku($sku);
	// echo "<pre>";
	// print_r($productId);

	$collection = $downloadObj->getSelectedAttachmentsCollection($productId);
	$collection->addFieldToFilter('is_active', 1);
	$collection->addFieldToFilter('section_table.is_active', \MageWorx\Downloads\Model\Section::STATUS_ENABLED);

	$collection->load();

	//echo $blocks->getUrl('mwdownloads/download/link', ['id' => 313]);
	foreach ($collection->getData() as $attachment) {
		$data = [];
		if ($attachment['type'] == 'pdf') {
			//$productId . ',' . $blocks->getUrl('mwdownloads/download/link', ['id' => $attachment['attachment_id']]);
			$data[] = $sku;
			$data[] = $blocks->getUrl('mwdownloads/download/link', ['id' => $attachment['attachment_id']]);
			fputcsv($fp, $data);
		}
	}
	//print_r($collection->getData());
}
